Mods / Compatibility Lib

Category: #Other
Author: DArkHekRoMaNT
Side: Both
Created: Feb 17th at 8:41 AM
Last modified: Mar 1st at 12:05 PM
Downloads: 2992

Embedded in vanilla since 1.15.0, do not use the library as mod in later versions, the game will crash.

All functionality is preserved, so nothing will change for mod authors other than library dependency.



A simple library that makes it easy to add compatibility with other mods for assets.

How use it (for devs): readme

Install as a regular mod, just add archive to your mods folder.

Version For Game version Downloads Release date Changelog Download
v1.2.2 2257 Mar 1st at 12:05 PM Show CompatibilityLib_v1.14.7_v1.2.2.zip
v1.2.1 213 Feb 21st at 6:44 PM Show CompatibilityLib_v1.14.7_v1.2.1.zip
v1.2.0 118 Feb 21st at 5:04 PM Show CompatibilityLib_v1.14.7_v1.2.0.zip
v1.1.1 176 Feb 17th at 8:47 AM Show CompatibilityLib_v1.14.0_1.1.1.zip
v1.1.0 116 Feb 17th at 8:46 AM Show compatibilitylib_v1.13.4_v1.1.0.zip
v1.0.0 112 Feb 17th at 8:45 AM Show compatibilitylib_v1.13.4_v1.0.0.zip

3 Comments (oldest first | newest first)

DArkHekRoMaNT, Jul 19th at 7:55 PM

Embedded in vanilla since 1.15.0, do not use the library as mod in later versions, the game will crash.
All functionality is preserved, so nothing will change for mod authors other than library dependency.

DArkHekRoMaNT, Feb 21st at 5:07 PM

Now with mod-dependent patches :P

DArkHekRoMaNT, Feb 17th at 8:49 AM

You're too fast, it created just now :D

delete edit